KDIFF3(1)

NAME
KDiff3 — compares two or three input files or directories

SYNOPSIS

KDiff3 [QT options] [KDE options] [KDiff3 options] [File1/base] [File2] [File3]

DESCRIPTION

This manual page documents briefly the KDiff3 tool.

This manual page was written for the Debian distribution because the original program does not have a manual page. For comprehensive help, please see khelpcenter help:/kdiff3.

KDiff3 is a program that

•   compares or merges two or three text input files or directories

•   shows the differences line by line and character by character

•   provides an automatic merge-facility and

•   an integrated editor for comfortable solving of merge-conflicts

•   supports Unicode, UTF-8 and other codecs

•   supports TDEIO on KDE (allows accessing ftp, sftp, fish, smb etc.)

•   Printing of differences

•   Manual alignment of lines

•   Automatic merging of version control history ($Log$)

OPTIONS

This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a full summary of options, run KDiff3 --help.

-m, --merge
    Merge the input.

-b, --base file
    Explicit base file. For compatibility with certain tools.

-o, --output file
    Output file. Implies -m. E.g.: -o newfile.txt

--out file
    Output file, again. (For compatibility with certain tools.)

--auto
    No GUI if all conflicts are auto-solvable. (Needs -o file)

--qall
    Don't solve conflicts automatically. (For compatibility...)

-L1 alias
    Visible name replacement for first file/base file.

-L2 alias
    Visible name replacement for second file.

-L3 alias
    Visible name replacement for third file.

-L, --fname alias
    Visible name replacement. May by supplied for each input.

--cs string
    Change a setting, e. g. --cs "AutoAdvance=1".

--confighelp
    Show a list of all settings and their values.

--config file
    Use a different settings file.

--author
    Show author of program.

-v, --version
    Show version of program.

--license
    Show license of program.

AUTHOR

This manual page was written by Eike Sauer <eikes@cs.tu-berlin.de> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 (or, at your option, any later version published by the Free Software Foundation).

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.